mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Field) System.Diagnostics.Conditional("CONTRACTS_FULL") Specifies a public property name associated with a field, allowing a less-visible field to be used in contracts within a method.
- Constructor
  4.0.0.0
  The name of the public property associated with this field.
  Construct a ContractPublicPropertyNameAttribute, specifying the name of the public property associated with this field.
- Property
  4.0.0.0
  System.String The name of the public property associated with this field. The name of the public property associated with this field.